  FY *MatProp(FY,Real)
  EU *MatProp(EU,Real)
  FU *MatProp(FU,Real)
  ESH *MatProp(ESH,Real)
  EFT *MatProp(EFT,Real)
  OMEGA *MatProp(OMEGA,Real)
*If(strcmp(MatProp(Type_of_definition),"PSH")==0)
  PSH *MatProp(PSH,Real)
*Else
  ESH1 *MatProp(ESH1,Real)
  FSH1 *MatProp(FSH1,Real)       
*EndIf  